Index: trunk/gsdl/src/recpt/browsetools.cpp
===================================================================
--- trunk/gsdl/src/recpt/browsetools.cpp	(revision 1078)
+++ trunk/gsdl/src/recpt/browsetools.cpp	(revision 1079)
@@ -29,11 +29,10 @@
 /*
    $Log$
-   Revision 1.41  2000/04/03 07:25:02  sjboddie
-   replaced old DocumentIcon and DocumentContents format options
-   with DocumentColumn stuff
-
-   Revision 1.40  2000/03/31 03:04:30  nzdl
-   tidied up some of the browsing code - replaced DocumentImages,
-   DocumentTitles and DocumentHeading with DocumentIcon
+   Revision 1.42  2000/04/07 04:40:43  sjboddie
+   Reverted back to old DocumentHeader, DocumentTitles, DocumentImages etc.
+   from DocumentColumns stuff. I'll move the DocumentColumns stuff to a
+   separate development branch (New_Config_Format-branch) for now. The plan
+   is to redesign the configuration file format a bit and limit the number of
+   distributions floating around that take different configuration formats).
 
    Revision 1.39  2000/02/25 02:28:43  sjboddie
@@ -186,8 +185,97 @@
 
 
+// output_controls displays the detach, expand/contract contents,
+// expand/contract text and highlighting/no highlighting buttons
+
+void output_controls (cgiargsclass &args, const text_tarray &ibuttons,
+		      recptproto * /*collectproto*/, displayclass &disp, 
+		      outconvertclass &outconvert, ostream &textout, 
+		      ostream &/*logout*/) {
+
+  if (args["u"] != "1") {
+    
+    FilterResponse_t response;
+    text_tarray metadata;
+    text_tarray buttons;
+    
+    text_tarray::const_iterator here = ibuttons.begin();
+    text_tarray::const_iterator end = ibuttons.end();
+    
+    while (here != end) {
+      
+      if (*here == "Detach")
+	buttons.push_back ("_document:imagedetach_");
+      else if (*here == "Highlight") {
+	if (args["hl"] == "1") 
+	  buttons.push_back ("_document:imagenohighlight_");
+	else 
+	  buttons.push_back ("_document:imagehighlight_");
+      } else if (*here == "Expand Contents") {
+	if (args["gc"] == "1")
+	  buttons.push_back ("_document:imagecontracttoc_");
+	else 
+	  buttons.push_back ("_document:imageexpandtoc_");
+      } else if (*here == "Expand Text") {
+	if (args.getintarg("gt"))
+	  buttons.push_back ("_document:imagecontracttext_");
+	else 
+	  buttons.push_back ("_document:imageexpandtext_");
+      }
+      here ++;
+    }
+    
+    here = buttons.begin();
+    end = buttons.end();
+    int count = 0;
+    while (here != end) {
+      if ((count != 0) && ((count % 2) == 0)) textout << "<br>\n";
+      textout << outconvert << disp << *here;
+      count ++;
+      here ++;
+    }
+  }
+}
+
+
+// at the moment this just writes out the html to display 
+// the cover image (assuming it's called cover.jpg)
+// this whole thing should be done with a call to the collection
+// server which would send a link to the cover image if there
+// was one otherwise send title, author and stuff
+void output_cover_image (cgiargsclass &args, recptproto * /*collectproto*/, 
+			 displayclass &disp, outconvertclass &outconvert, 
+			 ostream &textout, ostream &/*logout*/) {
+  
+  if (args["d"].empty()) return;
+  
+  textout << outconvert << disp << 
+    "<img src=\"_httpcollimg_/_thisOID_/cover.jpg\"><br>\n";
+}
+
+void output_titles (cgiargsclass &args, recptproto *collectproto, 
+		    formatinfo_t &formatinfo, displayclass &disp, 
+		    outconvertclass &outconvert, ostream &textout, 
+		    ostream &logout) {
+
+  if (args["d"].empty()) return;
+  
+  text_tset metadata;
+  bool getParents;
+  FilterResponse_t response;
+
+  format_t *formatlistptr = new format_t();
+  parse_formatstring (formatinfo.DocumentHeading, formatlistptr, metadata, getParents);
+
+  if (!get_info (args["d"], args["c"], metadata, getParents, collectproto, response, logout))
+    return;
+
+  textout << outconvert << disp << get_formatted_string (response.docInfo[0], formatlistptr);
+}
+
+
 static void recurse_contents (ResultDocInfo_t &section, cgiargsclass &args, bool fulltoc,
 			      browserclass *bptr, text_tset &metadata, bool &getParents, 
 			      format_t *formatlistptr, format_tmap &formatlistmap, 
-			      text_tmap &formatstrings, browsermapclass *browsermap, 
+			      formatinfo_t &formatinfo, browsermapclass *browsermap, 
 			      int tabcount, recptproto *collectproto, displayclass &disp, 
 			      outconvertclass &outconvert, ostream &textout, ostream &logout) {
@@ -223,5 +311,6 @@
 
     // get the formatstring if there is one 
-    if (!get_formatstring (classification, classifytype, formatstrings, formatstring))
+    if (!get_formatstring (classification, classifytype, 
+			   formatinfo.formatstrings, formatstring))
       formatstring = bptr->get_default_formatstring();
 
@@ -242,5 +331,5 @@
     while (thisdoc != lastdoc) {
       recurse_contents (*thisdoc, args, fulltoc, bptr, metadata, getParents, 
-			formatlistptr, formatlistmap, formatstrings, browsermap, 
+			formatlistptr, formatlistmap, formatinfo, browsermap, 
 			tabcount, collectproto, disp, outconvert, textout, logout);
       thisdoc ++;
@@ -257,9 +346,9 @@
 // the current one
 
-static void expanded_contents (cgiargsclass &args, int tabcount, bool fulltoc,
-			       browsermapclass *browsermap, text_tmap &formatstrings, 
-			       recptproto *collectproto, displayclass &disp, 
-			       outconvertclass &outconvert, ostream &textout, 
-			       ostream &logout) {
+void expanded_contents (cgiargsclass &args, int tabcount, bool fulltoc,
+			browsermapclass *browsermap, formatinfo_t &formatinfo, 
+			recptproto *collectproto, displayclass &disp, 
+			outconvertclass &outconvert, ostream &textout, 
+			ostream &logout) {
   
   if (args["d"].empty() && args["cl"].empty()) return;
@@ -333,5 +422,6 @@
 
   // get the formatstring if there is one or use the browsers default
-  if (!get_formatstring (classification, classifytype, formatstrings, formatstring))
+  if (!get_formatstring (classification, classifytype, 
+			 formatinfo.formatstrings, formatstring))
     formatstring = bptr->get_default_formatstring();
 
@@ -347,5 +437,5 @@
 
   recurse_contents (response.docInfo[0], args, fulltoc, bptr, metadata, 
-		    getParents, formatlistptr, formatlistmap, formatstrings, browsermap, 
+		    getParents, formatlistptr, formatlistmap, formatinfo, browsermap, 
 		    tabcount, collectproto, disp, outconvert, textout, logout);
 
@@ -362,5 +452,5 @@
 static void load_formatstring (const text_t &classifytype, text_tset &metadata,
 			       bool &getParents, const text_t &classification, 
-			       browsermapclass *browsermap, text_tmap &formatstrings,
+			       browsermapclass *browsermap, formatinfo_t &formatinfo,
 			       format_tmap &formatlistmap) {
   text_t formatstring;
@@ -371,5 +461,6 @@
 
   // get the formatstring if there is one or use the browsers default
-  if (!get_formatstring (classification, classifytype, formatstrings, formatstring))
+  if (!get_formatstring (classification, classifytype, 
+			 formatinfo.formatstrings, formatstring))
     formatstring = bptr->get_default_formatstring();
 
@@ -385,5 +476,5 @@
 static void load_formatstrings (FilterResponse_t &response, text_tset &metadata,
 				bool &getParents, const text_t &classification,
-				browsermapclass *browsermap, text_tmap &formatstrings, 
+				browsermapclass *browsermap, formatinfo_t &formatinfo, 
 				format_tmap &formatlistmap) {
 
@@ -397,5 +488,5 @@
     if (is_top ((*thisdoc).OID))
       load_formatstring ((*thisdoc).metadata["thistype"].values[0], metadata, 
-			 getParents, classification, browsermap, formatstrings, 
+			 getParents, classification, browsermap, formatinfo, 
 			 formatlistmap);
 
@@ -404,5 +495,5 @@
     if (it == cache.end()) {
       load_formatstring (childtype, metadata, getParents, classification,
-			 browsermap, formatstrings, formatlistmap);
+			 browsermap, formatinfo, formatlistmap);
       cache.insert (childtype);
     }
@@ -412,5 +503,5 @@
 
 static void output_parents (FilterResponse_t &response, cgiargsclass &args, 
-			    browsermapclass *browsermap, text_tmap &formatstrings, 
+			    browsermapclass *browsermap, formatinfo_t &formatinfo, 
 			    format_tmap &formatlistmap, const text_t &classification,
 			    int &tabcount, text_tset &metadata, bool &getParents,
@@ -439,5 +530,6 @@
 
     // get the formatstring if there is one or use the browsers default
-    if (!get_formatstring (classification, classifytype, formatstrings, formatstring))
+    if (!get_formatstring (classification, classifytype, 
+			   formatinfo.formatstrings, formatstring))
       formatstring = bptr->get_default_formatstring();
     
@@ -459,9 +551,9 @@
 }
 
-static void contracted_contents (cgiargsclass &args, int tabcount, bool fulltoc, 
-				 browsermapclass *browsermap, text_tmap &formatstrings, 
-				 recptproto *collectproto, displayclass &disp, 
-				 outconvertclass &outconvert, ostream &textout, 
-				 ostream &logout) {
+void contracted_contents (cgiargsclass &args, int tabcount, bool fulltoc, 
+			  browsermapclass *browsermap, formatinfo_t &formatinfo, 
+			  recptproto *collectproto, displayclass &disp, 
+			  outconvertclass &outconvert, ostream &textout, 
+			  ostream &logout) {
 
   FilterResponse_t response;
@@ -496,5 +588,5 @@
     format_tmap formatlistmap;  
     load_formatstrings (response, metadata, getParents, classification, 
-			browsermap, formatstrings, formatlistmap);
+			browsermap, formatinfo, formatlistmap);
 
     if (!get_info (parents, args["c"], metadata, getParents, collectproto, response, logout))
@@ -502,5 +594,5 @@
     
     // display each parent
-    output_parents (response, args, browsermap, formatstrings, formatlistmap, 
+    output_parents (response, args, browsermap, formatinfo, formatlistmap, 
 		    classification, tabcount, metadata, getParents, 
 		    collectproto, disp, outconvert, textout, logout);
@@ -533,5 +625,6 @@
 
   // get the formatstring if there is one or use the browsers default
-  if (!get_formatstring (classification, classifytype, formatstrings, formatstring))
+  if (!get_formatstring (classification, classifytype, 
+			 formatinfo.formatstrings, formatstring))
     formatstring = bptr->get_default_formatstring();
 
@@ -560,9 +653,10 @@
 
 void output_toc (cgiargsclass &args, browsermapclass *browsermap,
-                 text_tmap &formatstrings, recptproto *collectproto,
+                 formatinfo_t &formatinfo, recptproto *collectproto,
                  displayclass &disp, outconvertclass &outconvert,
                  ostream &textout, ostream &logout) {
 
   int tabcount = 0;
+  bool havecontrols = false;
   bool fulltoc = false;
 
@@ -571,18 +665,42 @@
     text_t cl_top, full_toc;
     get_top (args["cl"], cl_top);
-    if (get_formatstring (cl_top, "FullTOC", formatstrings, full_toc))
+    if (get_formatstring (cl_top, "FullTOC", formatinfo.formatstrings, full_toc))
       if (full_toc == "true") fulltoc = true;
   }
-
-  if (args["gc"] == 1) {
+  
+  // get the cover image (if there is one) and the control buttons
+  // if we're inside a book
+  if ((!fulltoc) && (!args["d"].empty())) {
+    textout << "<p><table cellpadding=0 cellspacing=0><tr>\n";
+    textout << "<td valign=top";
+    if (formatinfo.DocumentContents) textout << " width=200>\n";
+    else textout << " width=100%>\n";
+    if (formatinfo.DocumentImages) 
+      output_cover_image (args, collectproto, disp, outconvert, textout, logout);
+    else if (formatinfo.DocumentTitles)
+      output_titles (args, collectproto, formatinfo, disp, outconvert, textout, logout);
+    output_controls (args, formatinfo.DocumentButtons, collectproto, disp, 
+		     outconvert, textout, logout);
+    textout << "</td><td valign=top>\n";
+    havecontrols = true;
+  }
+
+  if (formatinfo.DocumentContents || args["d"].empty()) {
+    if (args.getintarg("gc") == 1) {
       
-    // expanded table of contents
-    expanded_contents (args, tabcount, fulltoc, browsermap, formatstrings, 
-		       collectproto, disp, outconvert, textout, logout);
-  } else {
+      // expanded table of contents
+      expanded_contents (args, tabcount, fulltoc, browsermap, formatinfo, 
+			 collectproto, disp, outconvert, textout, logout);
+    } else {
       
-    // contracted table of contents
-    contracted_contents (args, tabcount, fulltoc, browsermap, formatstrings, 
-			 collectproto, disp, outconvert, textout, logout);
-  }
-}
+      // contracted table of contents
+      contracted_contents (args, tabcount, fulltoc, browsermap, formatinfo, 
+			   collectproto, disp, outconvert, textout, logout);
+    }
+  }
+
+  if (havecontrols) textout << "</td></tr></table>\n";
+}
+
+
+
Index: trunk/gsdl/src/recpt/browsetools.h
===================================================================
--- trunk/gsdl/src/recpt/browsetools.h	(revision 1078)
+++ trunk/gsdl/src/recpt/browsetools.h	(revision 1079)
@@ -40,8 +40,35 @@
 typedef map<text_t, format_t*, lttext_t> format_tmap; 
 
+void expanded_contents (cgiargsclass &args, int tabcount, bool fulltoc,
+			browsermapclass *browsermap, formatinfo_t &formatinfo, 
+			recptproto *collectproto, displayclass &disp, 
+			outconvertclass &outconvert, ostream &textout, 
+			ostream &logout);
+
+void contracted_contents (cgiargsclass &args, int tabcount, bool fulltoc, 
+			  browsermapclass *browsermap, formatinfo_t &formatinfo, 
+			  recptproto *collectproto, displayclass &disp, 
+			  outconvertclass &outconvert, ostream &textout, 
+			  ostream &logout);
+
 void output_toc (cgiargsclass &args, browsermapclass *browsermap,
-                 text_tmap &formatstrings, recptproto *collectproto,
+                 formatinfo_t &formatinfo, recptproto *collectproto,
                  displayclass &disp, outconvertclass &outconvert,
                  ostream &textout, ostream &logout);
 
+void output_titles (cgiargsclass &args, recptproto *collectproto, 
+		    formatinfo_t &formatinfo, displayclass &disp, 
+		    outconvertclass &outconvert, ostream &textout, 
+		    ostream &logout);
+
+void output_controls (cgiargsclass &args, const text_tarray &ibuttons,
+		      recptproto *collectproto, displayclass &disp, 
+		      outconvertclass &outconvert, ostream &textout, 
+		      ostream &logout);
+    
+void output_cover_image (cgiargsclass &args, recptproto *collectproto, 
+			 displayclass &disp, outconvertclass &outconvert, 
+			 ostream &textout, ostream &logout);
+
+
 #endif
Index: trunk/gsdl/src/recpt/documentaction.cpp
===================================================================
--- trunk/gsdl/src/recpt/documentaction.cpp	(revision 1078)
+++ trunk/gsdl/src/recpt/documentaction.cpp	(revision 1079)
@@ -28,11 +28,10 @@
 /*
    $Log$
-   Revision 1.36  2000/04/03 07:26:28  sjboddie
-   replaced old DocumentIcon and DocumentContents format options
-   with DocumentColumn stuff
-
-   Revision 1.35  2000/03/31 03:04:31  nzdl
-   tidied up some of the browsing code - replaced DocumentImages,
-   DocumentTitles and DocumentHeading with DocumentIcon
+   Revision 1.37  2000/04/07 04:40:44  sjboddie
+   Reverted back to old DocumentHeader, DocumentTitles, DocumentImages etc.
+   from DocumentColumns stuff. I'll move the DocumentColumns stuff to a
+   separate development branch (New_Config_Format-branch) for now. The plan
+   is to redesign the configuration file format a bit and limit the number of
+   distributions floating around that take different configuration formats).
 
    Revision 1.34  2000/02/15 22:53:49  kjm18
@@ -293,132 +292,4 @@
 
 documentaction::~documentaction () {
-}
-
-
-// output_controls displays the detach, expand/contract contents,
-// expand/contract text and highlighting/no highlighting buttons
-void documentaction::output_controls (cgiargsclass &args, const text_tarray &ibuttons,
-				      recptproto * /*collectproto*/, displayclass &disp, 
-				      outconvertclass &outconvert, ostream &textout, 
-				      ostream &/*logout*/) {
-
-  if (args["u"] != "1") {
-    
-    FilterResponse_t response;
-    text_tarray metadata;
-    text_tarray buttons;
-    
-    text_tarray::const_iterator here = ibuttons.begin();
-    text_tarray::const_iterator end = ibuttons.end();
-    
-    while (here != end) {
-      
-      if (*here == "Detach")
-	buttons.push_back ("_document:imagedetach_");
-      else if (*here == "Highlight") {
-	if (args["hl"] == "1") 
-	  buttons.push_back ("_document:imagenohighlight_");
-	else 
-	  buttons.push_back ("_document:imagehighlight_");
-      } else if (*here == "Expand Contents") {
-	if (args["gc"] == "1")
-	  buttons.push_back ("_document:imagecontracttoc_");
-	else 
-	  buttons.push_back ("_document:imageexpandtoc_");
-      } else if (*here == "Expand Text") {
-	if (args.getintarg("gt"))
-	  buttons.push_back ("_document:imagecontracttext_");
-	else 
-	  buttons.push_back ("_document:imageexpandtext_");
-      }
-      here ++;
-    }
-    
-    here = buttons.begin();
-    end = buttons.end();
-    int count = 0;
-    while (here != end) {
-      if ((count != 0) && ((count % 2) == 0)) textout << "<br>\n";
-      textout << outconvert << disp << *here;
-      count ++;
-      here ++;
-    }
-  }
-}
-
-void documentaction::output_formatstring (const text_t &OID, const text_t &collection, 
-					  recptproto *collectproto, const text_t &formatstring, 
-					  displayclass &disp, outconvertclass &outconvert, 
-					  ostream &textout, ostream &logout) {
-
-  if (OID.empty()) return;
-  
-  text_tset metadata;
-  bool getParents;
-  FilterResponse_t response;
-
-  format_t *formatlistptr = new format_t();
-  parse_formatstring (formatstring, formatlistptr, metadata, getParents);
-
-  if (!get_info (OID, collection, metadata, getParents, collectproto, response, logout))
-    return;
-
-  textout << outconvert << disp << get_formatted_string (response.docInfo[0], formatlistptr);
-}
-
-// output_headerstring outputs a formatstring that may contain the 
-// [Buttons] and [TOC] elements. It separates these elements out,
-// calling output_controls and output_toc respectively to process
-// the special elements. Calls output_formatstring to process the 
-// remaining bits of formatstring
-void documentaction::output_headerstring (cgiargsclass &args, recptproto *collectproto,
-					  const text_t &formatstring, browsermapclass *browsers,
-					  displayclass &disp, outconvertclass &outconvert, 
-					  ostream &textout, ostream &logout) {
-
-  text_t &OID = args["d"];
-  if (OID.empty()) OID = args["cl"];
-  text_t &collection = args["c"];
-
-  text_t::const_iterator here = formatstring.begin();
-  text_t::const_iterator end = formatstring.end();
-
-  text_t currentstring;
-  while (here != end) {
-    if ((*here == '[') && (*(here+1) == 'B') && (*(here+2) == 'u') &&
-	(*(here+3) == 't') && (*(here+4) == 't') && (*(here+5) == 'o') &&
-	(*(here+6) == 'n') && (*(here+7) == 's') && (*(here+8) == ']')) {
-      here += 8;
-      if (!currentstring.empty()) {
-	output_formatstring (OID, collection, collectproto, currentstring,
-			     disp, outconvert, textout, logout);
-	currentstring.clear();
-      }
-      
-      output_controls (args, formatinfo.DocumentButtons, collectproto, 
-		       disp, outconvert, textout, logout);
-
-    } else if ((*here == '[') && (*(here+1) == 'T') && (*(here+2) == 'O') &&
-	(*(here+3) == 'C') && (*(here+4) == ']')) {
-      here += 4;
-      if (!currentstring.empty()) {
-	output_formatstring (OID, collection, collectproto, currentstring,
-			     disp, outconvert, textout, logout);
-	currentstring.clear();
-      }
-
-      output_toc (args, browsers, formatinfo.formatstrings, collectproto,
-		  disp, outconvert, textout, logout);
-
-    } else {
-      currentstring.push_back (*here);
-    }
-
-    here ++;
-  }
-
-  if (!currentstring.empty())
-    output_formatstring (OID, collection, collectproto, currentstring,
-			 disp, outconvert, textout, logout);
 }
 
@@ -740,14 +611,15 @@
 
   while (format_here != format_end) {
-    if ((*format_here).first == "DocumentColumns")
-      formatinfo.DocumentColumns = (*format_here).second; 
-    else if ((*format_here).first == "DocumentColumnsTotalWidth")
-      formatinfo.DocumentColumnsTotalWidth = (*format_here).second;
-    else if ((*format_here).first == "DocumentColumnLeft")
-      formatinfo.DocumentColumnLeft = (*format_here).second;
-    else if ((*format_here).first == "DocumentColumnLeftWidth")
-      formatinfo.DocumentColumnLeftWidth = (*format_here).second;
-    else if ((*format_here).first == "DocumentColumnRight")
-      formatinfo.DocumentColumnRight = (*format_here).second;
+    if (((*format_here).first == "DocumentImages") && 
+	((*format_here).second == "true"))
+      formatinfo.DocumentImages = true;
+    else if (((*format_here).first == "DocumentTitles") && 
+	     ((*format_here).second == "false"))
+      formatinfo.DocumentTitles = false;
+    else if ((*format_here).first == "DocumentHeading") 
+      formatinfo.DocumentHeading = (*format_here).second;
+    else if (((*format_here).first == "DocumentContents") && 
+	     ((*format_here).second == "false"))
+      formatinfo.DocumentContents = false;
     else if (((*format_here).first == "DocumentArrowsBottom") && 
 	     ((*format_here).second == "false"))
@@ -977,30 +849,8 @@
     textout << outconvert << disp << "_document:header_\n"
 	    << "_document:content_\n";
-
-    // currently only display header information at document level,
-    // this should probably be changed to handle stuff like CL1Columns
-    if (!args["d"].empty()) {
-      textout << outconvert << disp 
-	      << "<p><center><table width=_pagewidth_><tr>\n"
-	      << "<td valign=top";
-      if (formatinfo.DocumentColumns == "2") {
-	textout << outconvert << disp
-		<< " width=" << formatinfo.DocumentColumnLeftWidth << ">\n";
-	output_headerstring (args, collectproto, formatinfo.DocumentColumnLeft, 
-			     browsers, disp, outconvert, textout, logout);
-	textout << "\n</td><td valign=top>\n";
-	output_headerstring (args, collectproto, formatinfo.DocumentColumnRight, 
-			     browsers, disp, outconvert, textout, logout);
-      } else {
-	textout << " width=100%>\n";
-	output_headerstring (args, collectproto, formatinfo.DocumentColumnLeft, 
-			     browsers, disp, outconvert, textout, logout);
-      }
-      textout << "\n</td></tr></table></center>\n";
-    } else {
-      // classification level
-      output_toc (args, browsers, formatinfo.formatstrings, collectproto,
-		  disp, outconvert, textout, logout);
-    }
+      
+    // output the table of contents
+    output_toc (args, browsers, formatinfo, collectproto, 
+		disp, outconvert, textout, logout);
     
     // output the document text
@@ -1248,2 +1098,13 @@
   textout << outconvert << disp << buffer;
 }
+
+
+
+
+
+
+
+
+
+
+
Index: trunk/gsdl/src/recpt/documentaction.h
===================================================================
--- trunk/gsdl/src/recpt/documentaction.h	(revision 1078)
+++ trunk/gsdl/src/recpt/documentaction.h	(revision 1079)
@@ -40,19 +40,4 @@
 
   receptionist *recpt;
-
-  void output_controls (cgiargsclass &args, const text_tarray &ibuttons,
-			recptproto *collectproto, displayclass &disp, 
-			outconvertclass &outconvert, ostream &textout, 
-			ostream &logout);
-
-  void output_formatstring (const text_t &OID, const text_t &collection, 
-			    recptproto *collectproto, const text_t &formatstring, 
-			    displayclass &disp, outconvertclass &outconvert, 
-			    ostream &textout, ostream &logout);
-
-  void output_headerstring (cgiargsclass &args, recptproto *collectproto,
-			    const text_t &formatstring, browsermapclass *browsers, 
-			    displayclass &disp, outconvertclass &outconvert, 
-			    ostream &textout, ostream &logout);
 
   bool get_link (cgiargsclass &args, recptprotolistclass *protos,
Index: trunk/gsdl/src/recpt/formattools.cpp
===================================================================
--- trunk/gsdl/src/recpt/formattools.cpp	(revision 1078)
+++ trunk/gsdl/src/recpt/formattools.cpp	(revision 1079)
@@ -28,11 +28,10 @@
 /*
    $Log$
-   Revision 1.19  2000/04/03 07:28:24  sjboddie
-   replaced old DocumentIcon and DocumentContents format options
-   with DocumentColumn stuff
-
-   Revision 1.18  2000/03/31 03:04:31  nzdl
-   tidied up some of the browsing code - replaced DocumentImages,
-   DocumentTitles and DocumentHeading with DocumentIcon
+   Revision 1.20  2000/04/07 04:40:44  sjboddie
+   Reverted back to old DocumentHeader, DocumentTitles, DocumentImages etc.
+   from DocumentColumns stuff. I'll move the DocumentColumns stuff to a
+   separate development branch (New_Config_Format-branch) for now. The plan
+   is to redesign the configuration file format a bit and limit the number of
+   distributions floating around that take different configuration formats).
 
    Revision 1.17  2000/01/26 20:10:31  sjboddie
@@ -132,9 +131,8 @@
 
 void formatinfo_t::clear() {
-  DocumentColumns = "2";
-  DocumentColumnsTotalWidth = "_pagewidth_";
-  DocumentColumnLeft = "[Title]<br>[Buttons]";
-  DocumentColumnLeftWidth = "200";
-  DocumentColumnRight = "[TOC]";
+  DocumentImages = false;
+  DocumentTitles = true;
+  DocumentHeading = "{Or}{[parent(Top):Title],[Title],untitled}<br>";
+  DocumentContents = true;
   DocumentArrowsBottom = true;
   DocumentButtons.erase (DocumentButtons.begin(), DocumentButtons.end());
Index: trunk/gsdl/src/recpt/formattools.h
===================================================================
--- trunk/gsdl/src/recpt/formattools.h	(revision 1078)
+++ trunk/gsdl/src/recpt/formattools.h	(revision 1079)
@@ -76,9 +76,8 @@
   formatinfo_t () {clear();}
 
-  text_t DocumentColumns;
-  text_t DocumentColumnsTotalWidth;
-  text_t DocumentColumnLeft;
-  text_t DocumentColumnLeftWidth;
-  text_t DocumentColumnRight;
+  bool DocumentImages;
+  bool DocumentTitles;
+  text_t DocumentHeading;
+  bool DocumentContents;
   bool DocumentArrowsBottom;
   text_tarray DocumentButtons;