Index: trunk/gsdl/macros/french2.dm
===================================================================
--- trunk/gsdl/macros/french2.dm	(revision 1116)
+++ trunk/gsdl/macros/french2.dm	(revision 1117)
@@ -16,15 +16,15 @@
 #------------------------------------------------------------
 
-_documents_ { documents. }
-_lastupdate_ {Last updated}
-_ago_ {days ago.}
-_colnotbuilt_ {Collection not built.}
-
-_textpagetitle_ {Greenstone Digital Library}
-_textfb_ {Feedback}
-_textinfosheet_ {Info Sheet}
-
-_textprojhead_ {The Greenstone software and <br>The New Zealand Digital Library Project}
-_textprojinfo_ {
+_documents_ [l=fr] { documents. }
+_lastupdate_ [l=fr] {Last updated}
+_ago_ [l=fr] {days ago.}
+_colnotbuilt_ [l=fr] {Collection not built.}
+
+_textpagetitle_ [l=fr] {Greenstone Digital Library}
+_textfb_ [l=fr] {Feedback}
+_textinfosheet_ [l=fr] {Info Sheet}
+
+_textprojhead_ [l=fr] {The Greenstone software and <br>The New Zealand Digital Library Project}
+_textprojinfo_ [l=fr] {
 <p>
 The Greenstone Digital Library software provides a new way of
@@ -50,5 +50,5 @@
 }
 
-_textpoem_ {
+_textpoem_ [l=fr] {
 <br><h2>Kia papapounamu te moana</h2>
 
@@ -62,5 +62,5 @@
 }
 
-_textgreenstone_ { 
+_textgreenstone_ [l=fr] { 
 <p>Greenstone is a semi-precious stone that (like this software) is sourced in New Zealand.  In traditional Maori society it was the most highly prized and sought after of all substances.  It can absorb and hold <i>wairua</i>, which is a spirit or life force, and is endowed with traditional virtues that make it an appropriate emblem for a
 public-domain digital library project.  Its lustre shows charity; its
@@ -79,13 +79,13 @@
 
 ## "THE NEW ZEALAND DIGITAL LIBRARY" ## nzdl_heading ## nzdl2gr ##
-_httpiconnzdl_ {_httpimg_/nzdl2gr.gif}
-_widthnzdl_ {457}
-_heightnzdl_ {181}
+_httpiconnzdl_ [l=fr] {_httpimg_/nzdl2gr.gif}
+_widthnzdl_ [l=fr] {457}
+_heightnzdl_ [l=fr] {181}
 
 ## "select a collection" ## green_bar_left_aligned ## selcolgr ##
-_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
-_widthselcolgr_ {537}
-_heightselcolgr_ {17}
-_altselcolgr_ {"Select a collection"}
+_httpiconselcolgr_ [l=fr] {_httpimg_/selcolgr.gif}
+_widthselcolgr_ [l=fr] {537}
+_heightselcolgr_ [l=fr] {17}
+_altselcolgr_ [l=fr] {"Select a collection"}
 
 
@@ -100,30 +100,30 @@
 #------------------------------------------------------------
 
-_textframebrowser_ {You must have a frame enabled browser to view this.}
-_textusermanage_ {User management}
-_textlistusers_ {list users}
-_textaddusers_ {add a new user}
-
-_textinfo_ {Information}
-_textgeneral_ {general}
-_textarguments_ {arguments}
-_textactions_ {actions}
-_textprotocols_ {protocols}
-
-_textcollections_ {Collections}
-_textnewcoll_ {new collection}
-_texteditcoll_ {edit collection}
-_textbuildcoll_ {build collection}
-_textdeletecoll_ {delete collection}
-
-_textlogs_ {Logs}
-_textinitlog_ {init log}
-_texterrorlog_ {error log}
-
-_textreturnhome_ {Return to home page}
-
-_titlewelcome_ { Maintenance and Administration }
-
-_welcome_ {
+_textframebrowser_ [l=fr] {You must have a frame enabled browser to view this.}
+_textusermanage_ [l=fr] {User management}
+_textlistusers_ [l=fr] {list users}
+_textaddusers_ [l=fr] {add a new user}
+
+_textinfo_ [l=fr] {Information}
+_textgeneral_ [l=fr] {general}
+_textarguments_ [l=fr] {arguments}
+_textactions_ [l=fr] {actions}
+_textprotocols_ [l=fr] {protocols}
+
+_textcollections_ [l=fr] {Collections}
+_textnewcoll_ [l=fr] {new collection}
+_texteditcoll_ [l=fr] {edit collection}
+_textbuildcoll_ [l=fr] {build collection}
+_textdeletecoll_ [l=fr] {delete collection}
+
+_textlogs_ [l=fr] {Logs}
+_textinitlog_ [l=fr] {init log}
+_texterrorlog_ [l=fr] {error log}
+
+_textreturnhome_ [l=fr] {Return to home page}
+
+_titlewelcome_ [l=fr] { Maintenance and Administration }
+
+_welcome_ [l=fr] {
 
 <p> Maintenance and administration services available include:
@@ -152,5 +152,5 @@
 #------------------------------------------------------------
 
-_textframebrowser_ {Vous devez avoir un navigateur acceptant les 'frames' pour voir ca.}
+_textframebrowser_ [l=fr] {Vous devez avoir un navigateur acceptant les 'frames' pour voir ca.}
 
 
@@ -171,8 +171,8 @@
 #------------------------------------------------------------
 
-_textextlink_ {Lien Exterieur}
+_textextlink_ [l=fr] {Lien Exterieur}
 _textlinknotfound_{Lien Interieur introuvable}
 
-_textextlinkcontent_ {Le lien selectionne est exterieur a toutes vos collections selectionnee actuellement
+_textextlinkcontent_ [l=fr] {Le lien selectionne est exterieur a toutes vos collections selectionnee actuellement
 The link you have selected is external to any of your currently selected collections.
 
@@ -181,10 +181,10 @@
     use your browsers "back" button to return to the previous document.}
 
-_textlinknotfoundcontent_ {For reasons beyond our control, the internal link you have selected 
+_textlinknotfoundcontent_ [l=fr] {For reasons beyond our control, the internal link you have selected 
     does not exist.  This is probably due to an error in the source collection.
     Use your browsers "back" button to return to the previous document.}
 
 # should have arguments of collection, collectionname and link
-_foundintcontent_ {
+_foundintcontent_ [l=fr] {
 
 <h3>Link to "_2_" collection</h3>
@@ -214,20 +214,20 @@
 #------------------------------------------------------------
 
-_textGSDLtitle_ {Bibliotheque Numerique Greenstone}
-
-_textusername_ {nom d'utilisateur}
-_textpassword_ {mot de passe}
-
-_textmessageinvalid_ {La page demandee necessite votre enregistrement.
+_textGSDLtitle_ [l=fr] {Bibliotheque Numerique Greenstone}
+
+_textusername_ [l=fr] {nom d'utilisateur}
+_textpassword_ [l=fr] {mot de passe}
+
+_textmessageinvalid_ [l=fr] {La page demandee necessite votre enregistrement.
 Veuillez entrez votre nom d'utilisateur et mopt de passe.}
 
-_textmessagefailed_ {Votre nom d'utilisateur ou votre mot de passe est incorrect.}
-
-_textmessagedisabled_ {Desole, votre compte a ete mis hors service. Veuillez contacter
+_textmessagefailed_ [l=fr] {Votre nom d'utilisateur ou votre mot de passe est incorrect.}
+
+_textmessagedisabled_ [l=fr] {Desole, votre compte a ete mis hors service. Veuillez contacter
 l'administrateur de ce site.}
 
-_textmessagepermissiondenied_ {Desole, vous n'avez pas la permission d'acceder a cette page.}
-
-_textmessagestalekey_ {Le lien que vous avez choisit est maintenant perime.
+_textmessagepermissiondenied_ [l=fr] {Desole, vous n'avez pas la permission d'acceder a cette page.}
+
+_textmessagestalekey_ [l=fr] {Le lien que vous avez choisit est maintenant perime.
 Veuillez entrez votre mot de passe pour acceder a cette page.}
 