Index: /trunk/gsdl/docs/TODO
===================================================================
--- /trunk/gsdl/docs/TODO	(revision 1258)
+++ /trunk/gsdl/docs/TODO	(revision 1259)
@@ -25,8 +25,5 @@
 tidy up text versions of macro files
 
-see if gimp perl scripts can be set up to handle macrons in a similar may
-to umlauts
-
-look into getting Gimp perl scripting to work on windows
+look further into creating images containing non-latin1 characters
 
 create default collection images at build time with gimp script
@@ -40,19 +37,8 @@
 add to
 
-get remaining plugins tidied up and using passed in options - file
-extension option for all plugins (general option within BasPlug)
-
-get all plugins to use multiread object and throw away the specialized GB
-plugins
-
 write a gzip/bzip/zip/tar plugin and take any remaining gzip stuff out of
 rest of plugins
 
-add Stuart's acronym extraction stuff as a general plugin option (maybe
-Dana's date extraction stuff too?)
-
-tidy up classifiers, make collection-specific ones more object oriented,
-add section and compact options instead of using separate classifiers - get
-classifiers using same option passing code as plugins now use
+look at speeding up acronym extraction code, add more options 
 
 create a general classifier for doing stuff like NPepaList.pm does. should
@@ -60,14 +46,14 @@
 etc.
 
-create a BasClass object for classifiers (like plugins currently
-have). probably do all this classifier stuff for gsdl-3.0 as new option
-passing stuff will require changes to all the collect.cfg files
-
-
-config files -- for gsdl-3.0
+for gsdl-3.0
 
   - extend configuration file syntax - tidy up all the format stuff -
     replace DocumentImages, DocumentTitles and DocumentHeading with
     DocumentColumn stuff (develop New_Config_Format-branch CVS branch)
+
+  - tidy up classifiers, make collection-specific ones more object oriented
+    (probably create classifier base class), add section and compact
+    options instead of using separate classifiers - get classifiers using
+    same option passing code as plugins now use
 
   - sort out arrows/paging of browserclasses (for queryaction too!)
@@ -87,18 +73,13 @@
     displaying query results
 
+  - make interface languages and encodings easier to add. defining
+    languages and encodings should be done in main.cfg (or collect.cfg for
+    collection specific control). should also define:
+      - which encodings a given language may use -- i.e. the preferences page
+      shouldn't let you select an encoding that doesn't work with the
+      currently selected language
+      - which encoding is the default for a given language
+      - which language is the default.
 
-append to init and error logs instead of overwriting
-
-catch niupepa up (and keep cstr up) with new development branch. hopefully
-changes to configuration files will minimize the need for specialized
-collection-specific receptionists
-
-set up cstr to use configure like niupepa
-
-fix up formattools - bug preventing nested If/Or - check that no 'here'
-pointers can run past 'end'
-
-get numwords (and maybe other stats?) working in collection info - maybe
-set as macros
 
 tidy things up so that get_collectinfo is only called once per collection
@@ -108,21 +89,9 @@
 collections when using fastcgi
 
-get BrowseFilter EndResults option to accept -1
-
 add Language metadata to all documents by default??
 
-fix the way the interface language preference is implemented - should check
-somewhere that current language matches one of those specified in config
-file
+usage page - Matthias Dalmeier
 
-bug when classification is empty. CL number still gets incremented so 
-formatstrings don't match as expected
-
-create some kind of warning when an attempt is made to build an index on
-metadata that is never set. mg currently just craps out during the build
-
-usage page (420 student doing this)
-
-add browserclasses to statusaction
+create a usage page from ftp logs (build on ftp_stats.pl script)
 
 tidy up ohist to remove need for public_html/ohist stuff
@@ -132,7 +101,4 @@
 some html documents are processed hundreds of times and it takes forever to
 build a small collection
-
-look into possibility of clearing highlighting whenever you go to browse
-etc.  i.e. highlighting only works when coming directly from a search
 
 update collections - set up auto-updating where needed
@@ -149,5 +115,5 @@
 ipc and unesco collections have no 'about' text (maybe others too).
 
-compiler warnings on puka
+compiler warnings
 
 windows cd-rom version 
@@ -167,16 +133,8 @@
 look into need for _LITTLE_ENDIAN flag in mg
 
-tidy up 'related work' page - probably just use simple html page like for
-'publications' page. Remove related images from distribution.
+make all external nzdl.org pages plain html rather than macro pages. remove
+all related images from distribution
 
 ohists RealAudio server appears to be broken
-
-tidy up 'standard' home page. get columns of collections to behave more
-reasonably
-
-don't put notbuilt field into build.cfg unless it's used - it causes too
-much confusion
-
-'post' data doesn't appear to work with fastcgi
 
 capability to view actual BibTeX entries of csbib (and maybe other?)
@@ -185,5 +143,5 @@
 scripts for installing w3mir - a .bat version of davids install.sh files
 
-sorting of unicode titles (arabic collection).
+implement proper unicode sorting within classifiers
 
 get file locking to work on non GSDL_USE_IOS_H compilers (VC++ 6.0)