Index: trunk/gsdl/macros/english.dm
===================================================================
--- trunk/gsdl/macros/english.dm	(revision 1265)
+++ trunk/gsdl/macros/english.dm	(revision 1266)
@@ -361,4 +361,5 @@
 _httpiconhauth_ {_httpimg_/h\_auth.gif}
 _widthhauth_ {200}
+_heighthauth_ {57}
 
 ## "subjects" ## green_title ## h_subj ##
@@ -541,5 +542,5 @@
 ## "display" ## hand_made ##
 _httpicondisplay_ {_httpimg_/display.gif}
-_widthdisplay {60}
+_widthdisplay_ {60}
 _heightdisplay_ {20}
 
Index: trunk/gsdl/macros/french.dm
===================================================================
--- trunk/gsdl/macros/french.dm	(revision 1265)
+++ trunk/gsdl/macros/french.dm	(revision 1266)
@@ -501,5 +501,5 @@
 ## "display" ## hand_made ##
 _httpicondisplay_ [l=fr] {_httpimg_/display.gif}
-_widthdisplay {60}
+_widthdisplay_ [l=fr] {60}
 _heightdisplay_ [l=fr] {20}
 
Index: trunk/gsdl/macros/french2.dm
===================================================================
--- trunk/gsdl/macros/french2.dm	(revision 1265)
+++ trunk/gsdl/macros/french2.dm	(revision 1266)
@@ -172,5 +172,5 @@
 
 _textextlink_ [l=fr] {Lien Exterieur}
-_textlinknotfound_{Lien Interieur introuvable}
+_textlinknotfound_ [l=fr] {Lien Interieur introuvable}
 
 _textextlinkcontent_ [l=fr] {Le lien selectionne est exterieur a toutes vos collections selectionnee actuellement
Index: trunk/gsdl/macros/german.dm
===================================================================
--- trunk/gsdl/macros/german.dm	(revision 1265)
+++ trunk/gsdl/macros/german.dm	(revision 1266)
@@ -380,5 +380,5 @@
 
 ## "EXPANDIEREN
-  DES TEXTS" ## document_button ## eallt ## 
+#  DES TEXTS" ## document_button ## eallt ## 
 _httpiconealltof_ [l=de] {_httpimg_/de/ealltof.gif}
 _httpiconeallton_ [l=de] {_httpimg_/de/eallton.gif}
@@ -387,5 +387,5 @@
 
 ## "KONTRAKTIONDES
-        INHALTS" ## document_button ## econc ##
+#        INHALTS" ## document_button ## econc ##
 _httpiconeconcof_ [l=de] {_httpimg_/de/econcof.gif}
 _httpiconeconcon_ [l=de] {_httpimg_/de/econcon.gif}
@@ -394,5 +394,5 @@
 
 ## "SEPARATES
-  FENSTER" ## document_button ## edtch ##
+#  FENSTER" ## document_button ## edtch ##
 _httpiconedtchof_ [l=de] {_httpimg_/de/edtchof.gif}
 _httpiconedtchon_ [l=de] {_httpimg_/de/edtchon.gif}
@@ -401,5 +401,5 @@
 
 ## "EXPANDIEREN
-DES INHALTS" ## document_button ## eexpc ##
+#DES INHALTS" ## document_button ## eexpc ##
 _httpiconeexpcof_ [l=de] {_httpimg_/de/eexpcof.gif}
 _httpiconeexpcon_ [l=de] {_httpimg_/de/eexpcon.gif}
@@ -408,5 +408,5 @@
 
 ## "KONTRAKTION
-   DES TEXTS" ## document_button ## etsec ##
+#   DES TEXTS" ## document_button ## etsec ##
 _httpiconetsecof_ [l=de] {_httpimg_/de/etsecof.gif}
 _httpiconetsecon_ [l=de] {_httpimg_/de/etsecon.gif}
@@ -421,5 +421,5 @@
 
 ## "         KEINE
-HERVORHEBUNG" ## document_button ## enhl ##
+#HERVORHEBUNG" ## document_button ## enhl ##
 _httpiconenhlof_ [l=de] {_httpimg_/de/enhlof.gif}
 _httpiconenhlon_ [l=de] {_httpimg_/de/enhlon.gif}
@@ -508,5 +508,5 @@
 ## "sichtung" ## hand_made ##
 _httpicondisplay_ [l=de] {_httpimg_/display.gif}
-_widthdisplay {60}
+_widthdisplay_ [l=de] {60}
 _heightdisplay_ [l=de] {20}
 
Index: trunk/gsdl/macros/maori.dm
===================================================================
--- trunk/gsdl/macros/maori.dm	(revision 1265)
+++ trunk/gsdl/macros/maori.dm	(revision 1266)
@@ -374,5 +374,5 @@
 
 ######################################################################
-# 'prefereces' page
+# 'preferences' page
 package preferences
 ######################################################################
@@ -406,95 +406,4 @@
 
 
-######################################################################
-# 'people' page
-package people
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# 'technology' page
-package technology
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textpagetitle_ {NZDL: Technology}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# 'status' pages
-package status
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# html package
-package html
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# external link package
-package extlink
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# authentication page
-package authen
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-
+
+
Index: trunk/gsdl/macros/nzdlhome.dm
===================================================================
--- trunk/gsdl/macros/nzdlhome.dm	(revision 1265)
+++ trunk/gsdl/macros/nzdlhome.dm	(revision 1266)
@@ -312,6 +312,6 @@
 
 <td align=center>
-<p>_collectionlink_(whist, whist_logo_small.gif, "Women&#039;s History Primary Source Documents", whist)
-<p>_collectionlink_(ohist, ohist_title_small.gif, "Hamilton Public Library Youth Oral History Collection", ohist)
+<p>_collectionlink_(whist, whist\_logo\_small.gif, "Women&#039;s History Primary Source Documents", whist)
+<p>_collectionlink_(ohist, ohist\_title\_small.gif, "Hamilton Public Library Youth Oral History Collection", ohist)
 <p>_collectionlink_(hcibib, hcibibsm.gif, "The HCI Bibliography", hcibib)
 </td>
Index: trunk/gsdl/macros/people.dm
===================================================================
--- trunk/gsdl/macros/people.dm	(revision 1265)
+++ trunk/gsdl/macros/people.dm	(revision 1266)
@@ -229,8 +229,4 @@
 </table>
 }
-
-
-  <td align=right valign=top>
-  <a href=""></a></td>
 
 _textaffiliatetable_ {
Index: trunk/gsdl/macros/spanish.dm
===================================================================
--- trunk/gsdl/macros/spanish.dm	(revision 1265)
+++ trunk/gsdl/macros/spanish.dm	(revision 1266)
@@ -447,5 +447,5 @@
 _textapprox_ [l=es] {Acerca de }
 _textnodocs_ [l=es] {No hay documentos que correspondan a la petici&oacute;n.}
-_text1doc_ [l=es] {1 document matched the query.}{un documento corresponde a la petici&oacute;n.}
+_text1doc_ [l=es] {un documento corresponde a la petici&oacute;n.}
 _textlotsdocs_ [l=es] {documentos corresponden a la petici&oacute;n.}
 _textmatches_ [l=es] {Correspondencias }
@@ -499,5 +499,5 @@
 ## "mostrar" ## hand_made ##
 _httpicondisplay_ [l=es] {_httpimg_/display.gif}
-_widthdisplay {60}
+_widthdisplay_ [l=es] {60}
 _heightdisplay_ [l=es] {20}
 
Index: trunk/gsdl/macros/status.dm
===================================================================
--- trunk/gsdl/macros/status.dm	(revision 1265)
+++ trunk/gsdl/macros/status.dm	(revision 1266)
@@ -59,5 +59,5 @@
 <p>
 <a href="_gwcgi_?e=_compressedoptions_&a=status&sp=welcome" target=infoframe>_textadminhome_</a>
-<a href="_httppagehome_" target=_top>_textreturnhome_</a>
+<a href="_httppagehome_" target=\_top>_textreturnhome_</a>
 
 
Index: trunk/gsdl/src/recpt/statusaction.cpp
===================================================================
--- trunk/gsdl/src/recpt/statusaction.cpp	(revision 1265)
+++ trunk/gsdl/src/recpt/statusaction.cpp	(revision 1266)
@@ -28,4 +28,8 @@
 /*
    $Log$
+   Revision 1.30  2000/07/03 22:26:27  nzdl
+   fixed a few errors in the macro files (and one in some text printed out
+   by the statusaction)
+
    Revision 1.29  2000/06/29 02:47:21  sjboddie
    added browser info (i.e VList, HList etc.) to status pages
@@ -195,5 +199,5 @@
 	      textout << outconvert << disp 
 		      << "<a href=\"_httppagex_(about)&c=" << *collist_here
-		      << "\" target=_top>";
+		      << "\" target=\\_top>";
 
 	    textout << outconvert << disp << collname;