Index: /trunk/gsdl/macros/base.dm
===================================================================
--- /trunk/gsdl/macros/base.dm	(revision 1274)
+++ /trunk/gsdl/macros/base.dm	(revision 1275)
@@ -359,5 +359,5 @@
 #######################################################################
 
-_mailaddr_ {nzdl@nzdl.org}
+_mailaddr_ {greenstone@cs.waikato.ac.nz}
 
 _gsdltop_ {_top}
Index: unk/gsdl/macros/download.dm
===================================================================
--- /trunk/gsdl/macros/download.dm	(revision 1274)
+++ 	(revision )
@@ -1,123 +1,0 @@
-package download
-
-
-#######################################################################
-# java images/scripts
-#######################################################################
-
-# the _javalinks_ macros are the flashy image links at the top right of
-# the page. 
-
-_javalinks_ {_imagehome_}
-_javalinks_ [v=1] {
-_imagehome_<br>
-}
-
-
-#######################################################################
-# icons
-#######################################################################
-
-## "download" ## green_title ## download ##
-_httpicondownload_ {_httpimg_/download.gif}
-_widthdownload_ {200}
-_heightdownload_ {57}
-
-_icondownload_ {<img src="_httpicondownload_" width=_widthdownload_ height=_heightdownload_}
-
-#######################################################################
-# page content
-#######################################################################
-
-_pagetitle_ {New Zealand Digital Library downloadnstrations}
-
-_imagethispage_ {_icondownload_}
-
-
-_content_ {
-_iconblankbar_
-<p>There are several freely available technologies underlying the New Zealand
-Digital Library.  
-They are described in detail on the 
-<a href="_httppagex_(projects)">projects and demonstrations</a>
-page.
-
-<p>
-
-<table border=1>
-
-<tr>
-<th align=left>Project</th>
-<th>Version</th>
-<th>Date</th>
-<th>Platform</th>
-<th align=left>Notes</th>
-</tr>
-
-<tr align=center valign=top>
-<td align=left><a href="http://www.nzdl.org/html/DOWNLOAD.html">Greenstone</a></td>
-<td>2.x</td>
-<td>March, 2000</td>
-<td>Unix, Windows</td>
-<td align=left>This is a large suite of software, and many of the minor functions are platform-specific.  See the manual for details.</td>
-</tr>
-
-<tr align=center valign=top>
-<td align=left><a href="http://www.nzdl.org/Kea/#download">Kea</a></td>
-<td>1.1</td>
-<td>November 8, 1999</td>
-<td>Unix</td>
-<td align=left>Kea is implemented in Perl and Java; we have heard (unverified) reports of it running under Windows.</td>
-</tr>
-
-<tr align=center valign=top>
-<td align=left><a href="_httppagex_(mg)">MG</a></td>
-<td>1.3</td>
-<td>September, 1999</td>
-<td>Unix, DOS</td>
-<td align=left>The MG system is described in the eponymous book 
-<a href="http://www.cs.mu.oz.au/mg">Managing Gigabytes</a>.
-</td>
-</tr>
-
-<tr align=center valign=top>
-<td align=left><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/phrasierdemo.tar.gz">Phrasier</a></td>
-<td></td>
-<td>April 12, 2000</td>
-<td>Unix</td>
-<td align=left>A demonstration collection is provided.  Requires perl and Tcl/Tk.</td>
-</td>
-</tr>
-
-<tr align=center valign=top>
-<td align=left><a href="_httppagex_(prescript)">PreScript</a></td>
-<td>2.2</td>
-<td>April 1, 2000</td>
-<td>Unix</td>
-<td align=left>Requires Ghostscript (at least version 4.01) and Python interpreter (at least version 1.4.)</td>
-</td>
-</tr>
-
-<tr align=center valign=top>
-<td align=left><a href="http://www.cs.waikato.ac.nz/sequitur">Sequitur</a></td>
-<td></td>
-<td></td>
-<td>Unix, Java</td>
-<td align=left>Sequitur is written in C++ should be easy to port to other platforms.  
-Contact 
-<a href="mailto:nevill@cs.rutgers.edu">Craig Nevill-Manning</a>
-for the most recent source code.</td>
-</tr>
-
-</table>
-
-_nzdlpagefooter_ 
-<br>April 2000
-}
-
-
-
-
-
-
-
Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 1274)
+++ /trunk/gsdl/macros/english.dm	(revision 1275)
@@ -127,5 +127,5 @@
 
 _nzdlpagefooter_ {<p>_iconblankbar_
-<p><a href="_gwcgi_">New Zealand Digital Library Project</a>
+<p><a href="http://www.nzdl.org">New Zealand Digital Library Project</a>
 <br><a href="http://www.cs.waikato.ac.nz/cs">Department of Computer Science</a>, 
 <a href="http://www.waikato.ac.nz">University of Waikato</a>, 
Index: /trunk/gsdl/macros/english2.dm
===================================================================
--- /trunk/gsdl/macros/english2.dm	(revision 1274)
+++ /trunk/gsdl/macros/english2.dm	(revision 1275)
@@ -96,23 +96,4 @@
 
 ######################################################################
-# html package
-package html
-######################################################################
-
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textframebrowser_ {You must have a frame enabled browser to view this.}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-
-######################################################################
 # external link package
 package extlink
Index: /trunk/gsdl/macros/gsdl.dm
===================================================================
--- /trunk/gsdl/macros/gsdl.dm	(revision 1274)
+++ /trunk/gsdl/macros/gsdl.dm	(revision 1275)
@@ -93,26 +93,22 @@
 <h2>Credits</h2>
 <p>
-Greenstone Digital Library Software is produced by the 
-<a href="#nzdl">New Zealand Digital Library</a> project.  
-The current software was designed and implemented by 
-Rodger McNab, Stefan Boddie, Bill Rogers, Hong Chen and Stuart Inglis, 
-and has benefited greatly from previous versions constructed by 
-Craig Nevill-Manning and Todd Reed and previous interface
-designs by Che Tamahere.  
+Greenstone Digital Library Software is produced by the New Zealand Digital
+Library project.  The current software was designed and implemented by
+Rodger McNab, Stefan Boddie, Bill Rogers, Hong Chen and Stuart Inglis, and
+has benefited greatly from previous versions constructed by Craig
+Nevill-Manning and Todd Reed and previous interface designs by Che
+Tamahere.
 <p>
-The New Zealand Digital Library project is directed
-by Ian Witten and involves Mark Apperley, David Bainbridge, Sally Jo
-Cunningham, Steve Jones, Te Taka Keegan, Malika Mahoui and Lloyd Smith as
-principal investigators.  Other researchers who have contributed to the project
-include Carl Gutwin, Rob Holte, Gordon Paynter and Bill Teahan.
+The New Zealand Digital Library project is directed by Ian Witten and
+involves Mark Apperley, David Bainbridge, Sally Jo Cunningham, Steve Jones,
+Te Taka Keegan, Malika Mahoui and Lloyd Smith as principal investigators.
+Other researchers who have contributed to the project include Carl Gutwin,
+Rob Holte, Gordon Paynter and Bill Teahan.
 <p>
-Greenstone Digital Library Software uses the 
-<a href="_httppagex_(mg)">MG</a> 
-search engine produced principally by Alistair Moffat at the 
-University of Melbourne and described in the book 
-<i>Managing Gigabytes: Compressing and indexing documents and images</i>
-by Ian H. Witten, Alistair Moffat, and Tim C. Bell 
-(Van Nostrand Reinhold, 1994).  
-
+Greenstone Digital Library Software uses the MG search engine produced
+principally by Alistair Moffat at the University of Melbourne and described
+in the book <i>Managing Gigabytes: Compressing and indexing documents and
+images</i> by Ian H. Witten, Alistair Moffat, and Tim C. Bell (Van Nostrand
+Reinhold, 1994).
 <p>
 _iconblankbar_
Index: /trunk/gsdl/macros/home.dm
===================================================================
--- /trunk/gsdl/macros/home.dm	(revision 1274)
+++ /trunk/gsdl/macros/home.dm	(revision 1275)
@@ -77,5 +77,5 @@
 <p>
 <p>_iconblankbar_
-<p>Greenstone software by The <a href="_gwcgi_">New Zealand Digital Library Project</a>,
+<p>Greenstone software by <a href="http://www.nzdl.org">The New Zealand Digital Library Project</a>,
 <br><a href="http://www.cs.waikato.ac.nz/cs">Department of Computer Science</a>, 
 <a href="http://www.waikato.ac.nz">University of Waikato</a>, 
@@ -83,21 +83,2 @@
 }
 
-
-
-#######################################################################
-# English language text macros
-#######################################################################
-
-# These appear in english2.dm
-
-
-
-
-
-
-
-
-
-
-
-
Index: /trunk/gsdl/macros/nzdlhome.dm
===================================================================
--- /trunk/gsdl/macros/nzdlhome.dm	(revision 1274)
+++ /trunk/gsdl/macros/nzdlhome.dm	(revision 1275)
@@ -88,7 +88,6 @@
 <tr valign=top>
 <td>
-<p>_icongbull_ <a href="mailto:_mailaddr_">_textfb_</a>
-<p>_icongbull_ <a href="_httppagex_(people)">_textpeople_</a><br>
-<p><a href="_httppagestatus_"><img src="_httpimg_/tabspace.gif" width=60 height=20 border=0></a>
+<table><tr valign=top><td>_icongbull_</td><td><a href="mailto:_mailaddr_">_textfb_</a></td></tr></table>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/people.html">People</a></td></tr></table>
 </td>
 <td>_textprojinfo_</td>
@@ -101,10 +100,10 @@
 <tr valign=top>
 <td>
-<p>_icongbull_ <a href="_httppagex_(gsdl)">Greenstone</a>
-<p>_icongbull_ <a href="http://www.nzdl.org/html/DOWNLOAD.html">Download</a>
-<p><table><tr valign=top><td><img src="http://www.nzdl.org/images/new2.gif"></td>
-<td valign=middle><a href="http://www.nzdl.org/html/trouble.html">Installation Guide</a></td></tr></table>
-<p>_iconpdf_   <a href="_gsdl:httpgsdlmanual_">Manual</a></i>
-<p>_iconpdf_   <a href="_httppublications_/NZDLtext.pdf">_textinfosheet_</a>
+<table><tr valign=top><td>_icongbull_</td><td><a href="_httppagex_(gsdl)">About<br>Greenstone</a></td></tr></table>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/DOWNLOAD.html">Download<br>Greenstone</a></td></tr></table>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/trouble.html">Installation<br>Guide</a></td><td><img src="http://www.nzdl.org/images/new2.gif"></td></tr></table>
+<table><tr valign=top><td>_iconpdf_</td><td><a href="_gsdl:httpgsdlmanual_">Manual</a></td></tr></table>
+<table><tr valign=top><td>_iconpdf_</td><td><a href="_httppublications_/NZDLtext.pdf">_textinfosheet_</a></td></tr></table>
+
 </td>
 <td>_textsoftwareinfo_</td>
@@ -117,8 +116,8 @@
 <tr valign=top>
 <td>
-<p>_icongbull_ <a href="_httppagex_(research)">Research</a>
-<p>_icongbull_ <a href="_httppagex_(projects)">_textprojects_</a>
-<p>_icongbull_ <a href="_httppagex_(download)">Software</a>
-<p>_icongbull_ <a href="http://www.cs.waikato.ac.nz/~nzdl/publications/">_textpub_</a>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/research.html">Research</a></td></tr></table>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/projects.html">Projects</a></td></tr></table>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.nzdl.org/html/software.html">Software<br>Downloads</a></td></tr></table>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://www.cs.waikato.ac.nz/~nzdl/publications/">Publications</a></td></tr></table>
 </td>
 <td>_textresearchinfo_</td>
@@ -126,6 +125,6 @@
 
 <tr valign=top>
-<td><table><tr valign=top><td><img src="http://www.nzdl.org/images/new2.gif"></td>
-<td valign=middle><a href="http://nikau.cs.waikato.ac.nz/~johnmcp/gsdl/cgi-bin/library.cgi">Z39.50 demo</a></td></tr></table>
+<td>
+<table><tr valign=top><td>_icongbull_</td><td><a href="http://nikau.cs.waikato.ac.nz/~johnmcp/gsdl/cgi-bin/library.cgi">Z39.50<br>demo</a></td><td><img src="http://www.nzdl.org/images/new2.gif"></td></tr></table>
 </td><td>
 We have an experimental facility for searching Z39.50 collections using
@@ -167,9 +166,4 @@
 #######################################################################
 _textpagetitle_ {New Zealand Digital Library}
-
-_textpeople_ {People}
-_textpub_ {Publications}
-_textprojects_ {Projects}
-
 _textprojhead_ {The New Zealand Digital Library Project}
 
@@ -255,4 +249,5 @@
 for an obligation free quote. 
 <p>
+<a name="mirrors"></a>
 The following websites are among those currently using Greenstone,
 either to make their own collections available, 
@@ -274,7 +269,9 @@
 
 _nzdlgwcgi_ {http://www.nzdl.org/fast-cgi-bin/library}
+#_nzdlgwcgi_ {http://www.nzdl.org/cgi-bin/library}
 _nzdlhttpprefix_ {http://www.nzdl.org/gsdl}
 
 _nzdlcollection_ {http://www.nzdl.org/fast-cgi-bin/library?a=p&p=about&c=_1_}
+#_nzdlcollection_ {http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=_1_}
 _nzdlcollectionimage_ {<img width=150 border=1 src="_nzdlhttpprefix_/collect/_1_/images/_2_" alt=_3_>}
 
Index: unk/gsdl/macros/people.dm
===================================================================
--- /trunk/gsdl/macros/people.dm	(revision 1274)
+++ 	(revision )
@@ -1,267 +1,0 @@
-package people
-
-
-#######################################################################
-# java images/scripts
-#######################################################################
-
-# the _javalinks_ macros are the flashy image links at the top right of
-# the page. 
-
-_javalinks_ {_imagehome_}
-_javalinks_ [v=1] {
-_imagehome_<br>
-}
-
-
-#######################################################################
-# icons
-#######################################################################
-
-_iconhpeople_ {<img src="_httpiconhpeople_" width=_widthhpeople_ height=_heighthpeople_}
-
-#######################################################################
-# page content
-#######################################################################
-
-_pagetitle_ {_textpagetitle_}
-
-_imagethispage_ {_iconhpeople_}
-
-_content_ {
-_iconblankbar_
-<table border=0 cellpadding=5>
-<tr><td valign=top>
-<p>
-<b>_textsawnzdl_</b>
-<br>
-_textstafftable_(width=200)
-</td></tr>
-
-<tr><td valign=top>
-<b>_texttrsaawp_</b>
-<br>
-_textgstable_(width=200)
-</td></tr>
-
-<tr><td valign=top>
-<b>_textaffiliates_</b>
-<br>
-_textaffiliatetable_(width=200)
-</td></tr>
-
-<tr><td valign=top>
-
-<b>_texttpcsp_</b>
-<br>
-_textconttable_(width=200)
-</table>
-
-_nzdlpagefooter_ 
-<br>April 2000
-}
-
-
-###############################################################################
-# English Language Text Macros
-###############################################################################
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-## "people" ## green_title ## h_people ##
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
-_widthhpeople_ {200}
-_heighthpeople_ {57}
-
-#------------------------------------------------------------
-# text strings
-#------------------------------------------------------------
-
-_textpagetitle_ {NZDL: People}
-_textsmallrs_ {Related Staff}
-
-_textsawnzdl_ {Staff associated with the New Zealand Digital Library Project:}
-_texttrsaawp_ {Research students and programmers:}
-_textaffiliates_ {Project members affiliated with other universities:}
-_texttpcsp_ {Many other people have contributed to the project:}
-
-_textstafftable_ {
-<table>
-<tr>
-  <td align=right valign=top width=100><a href="http://www.cs.waikato.ac.nz/~ihw">Ian Witten</a></td>
-  <td _1_ align=left valign=top>Project leader; co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/mark-d.-apperley-.html">Mark Apperley</a></td>
-  <td _1_ align=left valign=top>User interfaces for readers</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/david-bainbridge.html">David Bainbridge</a></td>
-  <td _1_ align=left valign=top>Musical and Web-based collections; optical music recognition</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/cs/Staff/sally-jo-cunningham.html">Sally Jo Cunningham</a></td>
-  <td _1_ align=left valign=top>Collections and usage studies</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/steve-jones.html">Steve Jones</a></td>
-  <td _1_ align=left valign=top>Phrase-based interfaces, collaborative browsing, usage analysis</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-  href="http://www.cs.waikato.ac.nz/cs/Staff/te-taka-keegan.html">Te Taka Keegan
-  </a></td> 
-  <td _1_ align=left valign=top>Maori language systems</td>
-</tr>
-<tr>
-  <td align=right valign=top>
-  <a href="http://www.cs.waikato.ac.nz/Staff/malika-mahoui.html">Malika Mahoui</a></td> 
-  <td _1_ align=left valign=top>Text mining, Arabic interfaces</td>
-</tr>
-<tr>
-  <td align=right valign=top>
-  <a href="http://www.cs.waikato.ac.nz/~daven.html">Dave Nichols</a></td> 
-  <td _1_ align=left valign=top>Collaborative interfaces</td>
-</tr>
-<tr>
-  <td align=right valign=top>
-  <a href="http://www.cs.waikato.ac.nz/~gwp/">Gordon Paynter</a></td> 
-  <td _1_ align=left valign=top>Phrase-based browsing</td>
-</tr>
-</table>
-}
-
-
-_textgstable_ {
-<table>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~sjboddie">Stefan Boddie</a></td>
-  <td _1_ align=left valign=top>Greenstone development</td>
-</tr>
-<tr>
-  <td align=right valign=top>George Buchanan</a></td>
-  <td _1_ align=left valign=top>MG, CORBA development</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~rjmcnab">Rodger McNab</a></td>
-  <td _1_ align=left valign=top>Greenstone development</td>
-</tr>
-<tr>
-  <td align=right valign=top>John McPherson</td>
-  <td _1_ align=left valign=top>Musical libraries</td>
-</tr>
-<tr>
-  <td align=right valign=top>YingYing Wen</a></td>
-  <td _1_ align=left valign=top>Text mining, Chinese libraries</td>
-</tr>
-<tr>
-  <td align=right valign=top>Stuart Yeates</a></td>
-  <td _1_ align=left valign=top>Text mining, acronym extraction</td>
-</tr>
-</table>
-}
-
-_textconttable_ {
-<table>
-<tr>
-  <td align=right valign=top width=100>Mark Abrahams</td>
-  <td _1_ align=left valign=top>Client-side browsing interfaces using Java</td>
-</tr>
-<tr>
-  <td align=right valign=top width=100><a href="http://www.cosc.canterbury.ac.nz/~tim">Tim Bell</a></td>
-  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
-</tr>
-<tr>
-  <td align=right valign=top>Matt Humphrey</td>
-  <td _1_ align=left valign=top>Information visualization in the digital library</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/~singlis">Stuart Inglis</a></td>
-  <td _1_ align=left valign=top>Document image analysis and optical character recognition</td>
-</tr>
-<tr>
-  <td align=right valign=top>Trent Mankelow</a></td>
-  <td _1_ align=left valign=top>School Journal prototype</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cosc.canterbury.ac.nz/~bruce">Bruce McKenzie</a></td>
-  <td _1_ align=left valign=top>Original interface to MG</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.mu.oz.au/~alistair">Alistair Moffat</a></td>
-  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a>,
-created the MG software</td>
-</tr>
-<tr>
-  <td align=right valign=top>Todd Reed</td>
-  <td _1_ align=left valign=top>PostScript to text conversion, user interface, WWW server, index building, FTP</td>
-</tr>
-<tr>
-  <td align=right valign=top>Don Smith</td>
-  <td _1_ align=left valign=top>Special needs of libraries for mathematical and theoretical materials</td>
-</tr>
-<tr>
-  <td align=right valign=top>Che Tamahori</td>
-  <td _1_ align=left valign=top>Designer of New Zealand Digital Library Web
-  pages</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/~wjt">Bill Teahan</a></td>
-  <td _1_ align=left valign=top>Language modeling</td>
-</tr>
-<tr>
-  <td align=right valign=top>Mahendra Vallabh</td>
-  <td _1_ align=left valign=top>Original FTP script</td>
-</tr>
-<tr>
-  <td align=right valign=top>Lloyd Smith</td>
-  <td _1_ align=left valign=top>Music collections and music retrieval</td>
-</tr>
-<tr>
-  <td align=right valign=top>John Venable</td>
-  <td _1_ align=left valign=top>Requirements for digital libraries, and collections for information systems</td>
-</tr>
-</table>
-}
-
-_textaffiliatetable_ {
-<table>
-<tr>
-  <td align=right valign=top>
-  <a href="http://www.cs.mdx.ac.uk/staffpages/elke/">Elke Dunker</a></td>
-  <td _1_ align=left valign=top>Cross-cultural issues</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~cgn/
-">Craig Nevill-Manning</a></td>
-  <td _1_ align=left valign=top>PostScript to text conversion, user
-interface, WWW server, index
-building, FTP</td>
-</tr>
-<tr>
-  <td align=right valign=top>
-  <a href="http://www.chelt.ac.uk/gbs/nreeves.htm">Nina Reeves</a></td>
-  <td _1_ align=left valign=top>Librarians and library users</td>
-</tr>
-<tr>
-  <td align=right valign=top>Yin Leng Theng</td>
-  <td _1_ align=left valign=top>Digital libraries for schools</td>
-</tr>
-<tr>
-  <td align=right valign=top>
-  <a href="http://www.cs.mdx.ac.uk/harold/">Harold Thimbleby</a></td>
-  <td _1_ align=left valign=top>User interfaces for digital libraries</td>
-</tr>
-</table>
-}
-
-
-
-
-
-
Index: unk/gsdl/macros/projects.dm
===================================================================
--- /trunk/gsdl/macros/projects.dm	(revision 1274)
+++ 	(revision )
@@ -1,182 +1,0 @@
-package projects
-
-
-#######################################################################
-# java images/scripts
-#######################################################################
-
-# the _javalinks_ macros are the flashy image links at the top right of
-# the page. 
-
-_javalinks_ {_imagehome_}
-_javalinks_ [v=1] {
-_imagehome_<br>
-}
-
-
-#######################################################################
-# icons
-#######################################################################
-
-## "projects and demonstrations" ## green_title ## demo ##
-_httpicondemo_ {_httpimg_/demo.gif}
-_widthdemo_ {450}
-_heightdemo_ {57}
-
-_icondemo_ {<img src="_httpicondemo_" width=_widthdemo_ height=_heightdemo_}
-
-#######################################################################
-# page content
-#######################################################################
-
-_pagetitle_ {New Zealand Digital Library projects}
-
-_imagethispage_ {_icondemo_}
-
-_content_ {
-_iconblankbar_
-<p>
-New Zealand Digital Library Project members have developed a range 
-of practical software packages in the course of their research.
-Much of this software is available for
-<a href="_httppagex_(download)">download</a>.
-
-<p><h4>Digital libraries and indexing</h4>
-
-<ul>
-<li><a href="_httppagex_(gsdl)">Greenstone</a> 
-is the digital library system generates each and every page of 
-this website.
-It is freely available under the GNU General public license,
-and has been adopted by numerous other projects.
-It is used to disseminate information by humanitarian 
-organisations including Global Help Projects and 
-United Nations organisations.
-<ul>
-<li> <a href="_gwcgi_">Our website</a> hosts exotic collections, humanitarian collections, and reference collections.
-<li> <a href="_gwcgi_">Other websites</a> mirror these collections, and host many others.
-<li> Greenstone is available for <a href="_httppagex_(download)">download</a>.
-</ul>
-<p>
-
-<li><a href="_httppagex_(mg)">MG</a>
-is an enhancement of the 
-<a href="http://www.cs.mu.oz.au/mg">Managing Gigabytes</a> 
-full-text retrieval system that provides flexible stemming methods, 
-weighting terms, term frequencies, merged indexes, 
-machine independent indexes, and a port to MSDOS.
-<ul>
-<li> MG is available for <a href="_httppagex_(download)">download</a>.
-</ul><p>
-
-<li><a href="_httppagex_(prescript)">PreScript</a>
-converts PostScript to plain ASCII or HTML.
-It detects paragraph boundaries, removes hyphenation, 
-and interprets many ligatures.
-<ul>
-<li> Prescript is available for <a href="_httppagex_(download)">download</a>.
-</ul><p>
-</ul>
-
-<p><h4>Extracting data and metadata</h4>
-<ul>
-<li>
-<a href="http://www.cs.waikato.ac.nz/sequitur">Sequitur</a> 
-is a method for inferring compositional hierarchies from strings by detecting
-repetition and factoring it out of the string by  forming rules in a
-grammar. 
-Sequitur is useful for recognizing lexical structure in strings, 
-and excels at very long sequences.
-<ul>
-<li>The <a href="http://www.cs.waikato.ac.nz/sequitur">Sequitur WWW interface</a> detects structure in text sequences.
-<li> Sequitur is available for <a href="_httppagex_(download)">download</a>.
-</ul><p>
-
-<li><a href="http://www.nzdl.org/Kea">Kea</a>
-is a program for automatically extracting keywords and keyphrases 
-from the full text of documents. 
-Candidate keyphrases are identified using rudimentary lexical processing, 
-features are computed for each candidate, and machine learning is used to 
-determines which candidates should be assigned as keyphrases. 
-<ul>
-<li>The <a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/WebKea">Kea WWW interface</a> will extract keyphrases from any web page you specify.
-<li> Kea is available for <a href="_httppagex_(download)">download</a>.
-</ul><p>
-</ul>
-
-<p><h4>Text Mining</h4>
-<ul>
-See our <a href="http://www.cs.waikato.ac.nz/~nzdl/textmining/">Text Mining Webpage</a>.
-</ul>
-
-<p><h4>Browsing interfaces</h4>
-<ul>
-<li>
-<a href="http://www.nzdl.org/phind/">Phind</a>
-is an interface for browsing the phrases that occur in a collection.
-The phrases form an approximation of the topics covered.
-They are extracted from the noun-phrases occuring in the text,
-so nonsense phrases and phrases with very little information content
-are excluded.
-Each phrase is part of a hierarchy, 
-and the user can browse more specialised topics, 
-or retrieve documents that contain the phrase, at any point.
-<ul>
-<li> Phind has been applied to the web pages of the UN
-<a href="http://www.nzdl.org/phind/fao.html">Food and Agriculture Organisation</a>.
-</ul><p>
-
-<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/">Phrasier</a> 
-is a tool to support information seeking activities in a digital library.
-Its novel design reflects the fact that reading, writing, browsing and 
-searching activities are rarely carried out independently of each other.
-They overlap and interleave in ways which have not been effectively supported 
-by conventional information retrieval interfaces.  
-Consequenly Phrasier blurs the distinction between 
-writing a document and finding material related to it; 
-between reading a document and finding others on the same or similar topics; 
-between keyword searching and subject browsing.
-<ul>
-<li> A demonstration version of Phrasier is available for <a href="_httppagex_(download)">download</a>.
-</ul><p>
-
-
-<li><a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/Kniles">Kniles</a> 
-is a web-based system for inserting topic-based hypertext links 
-into existing, large-scale digital library collections. 
-The links are generated at runtime using keyphrases (provided by the author 
-or extracted by Kea), and let you browse collections of documents that
-do not already have embedded hypertext links.
-<ul>
-<li> Kniles has been used insert links in the text of 45,000 
-<a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/Kniles?c=cstr">Computer Science Technical Reports</a>
-that were originally in PostScript format.
-</ul><p>
-
-</ul><p>
-
-<p><h4>Word segmentation</h4>
-<ul>
-
-<li>
-<a href="http://www.nzdl.org/cgi-bin/congb">Word segmentation</a> 
-is designed to find word boundaries in languages like Chinese and 
-Japanese, which are (unlike English) written without spaces 
-or other word delimiters (except for punctuation marks). 
-It plays a significant role in applications that use the word as the 
-basic unit due to the fact that machine-readable Chinese text
-is invariably stored in unsegmented form.
-<ul>
-<li> We have implemented a 
-<a href="http://www.nzdl.org/cgi-bin/congb">WWW interface</a>
-for segmanting Chinese text.
-<li> If your web browsers does not support Chinese text, 
-illustrations of the transformation are available.
-</ul><p>
-
-</ul><p>
-
-_nzdlpagefooter_ 
-<br>April 2000
-}
-
Index: unk/gsdl/macros/research.dm
===================================================================
--- /trunk/gsdl/macros/research.dm	(revision 1274)
+++ 	(revision )
@@ -1,94 +1,0 @@
-package research
-
-
-#######################################################################
-# java images/scripts
-#######################################################################
-
-# the _javalinks_ macros are the flashy image links at the top right of
-# the page. 
-
-_javalinks_ {_imagehome_}
-_javalinks_ [v=1] {
-_imagehome_<br>
-}
-
-
-#######################################################################
-# icons
-#######################################################################
-
-## "research" ## green_title ## research ##
-_httpiconresearch_ {_httpimg_/research.gif}
-_widthresearch_ {200}
-_heightresearch_ {57}
-
-_iconresearch_ {<img src="_httpiconresearch_" width=_widthresearch_ height=_heightresearch_}
-
-#######################################################################
-# page content
-#######################################################################
-
-_pagetitle_ {New Zealand Digital Library Project research}
-
-_imagethispage_ {_iconresearch_}
-
-
-_content_ {
-_iconblankbar_
-
-<h2>_pagetitle_</h2>
-
-<p> The goal of our research program is to explore the potential of
-internet-based digital libraries.  Our vision is to develop systems that
-automatically impose structure on anarchic, uncatalogued, distributed
-repositories of information, thereby providing information consumers with
-effective tools to locate what they need and to peruse it conveniently and
-comfortably.  Our research objectives are to
-
-<ul>
-  <li> develop technology for creating and automatically
-      maintaining collections;
-  <li> monitor usage to study library users' needs;
-  <li> look at novel interfaces that cater to a wide spectrum of users;
-  <li> find ways to abstract layout and bibliographic information
-      from document files;
-  <li> use this information to enhance presentation and for
-      bibliometric research;
-  <li> assess potential subject areas for public-domain collections;
-  <li> survey and critique other digital library projects.
-</ul>
-
-
-<h2>Project members</h2>
-<p>
-The New Zealand Digital Library Project is based in the 
-Department of Computer Science at The University of Waikato,
-but comprises contributors from universities all over the world.
-A directory of current and past members is available on the 
-<a href="_httppagex_(people)">_home:textpeople_</a> page.
-<p>
-
-<h2>Projects, publications, and programs</h2>
-<p>
-Our project members are actively researching a diverse range of topics.  
-These projects are described on the 
-<a href="_httppagex_(projects)">_home:textprojects_</a>
-page.
-<p>
-Our research is regularly published in academic publications,
-which can be browsed and searched through the 
-<a href="http://www.nzdl.org/publications/">_home:textpub_</a>
-collection.
-<p>
-In the course of our research,
-we have developed a range of practical software packages, 
-many are available for
-<a href="_httppagex_(download)">download</a>.
-<p>
-
-_nzdlpagefooter_ 
-<br>April 2000
-}
-
-